Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Auto_String_Free Class Reference

Simple class to automatically de-allocate strings. More...

`#include <SString.h>`

List of all members.

## Public Methods
ACE_EXPLICIT | ACE_Auto_String_Free (char *p=0)
| ACE_Auto_String_Free (ACE_Auto_String_Free &rhs)
ACE_Auto_String_Free & | operator= (ACE_Auto_String_Free &rhs)
| ~ACE_Auto_String_Free (void)
char * | operator * () const
char | operator[] (int i) const
char * | get (void) const
char * | release (void)
void | reset (char *p=0)
## Private Attributes
char * | p_

## Detailed Description

Simple class to automatically de-allocate strings.

Keeps a pointer to a string and deallocates it (using <ACE_OS::free>) on its destructor. If you need to delete using "delete[]" the ACE_Auto_Array_Ptr<char*> is your choice. The class plays the same role as auto_ptr<>

## Constructor & Destructor Documentation

ACE_INLINE ACE_Auto_String_Free::ACE_Auto_String_Free | ( | char * | p = 0 | ) |

ACE_INLINE ACE_Auto_String_Free::ACE_Auto_String_Free | ( | ACE_Auto_String_Free & | rhs | ) |

ACE_INLINE ACE_Auto_String_Free::~ACE_Auto_String_Free | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE char * ACE_Auto_String_Free::get | ( | void |  | ) | const

ACE_INLINE char * ACE_Auto_String_Free::operator * | ( |  | ) |

ACE_INLINE ACE_Auto_String_Free & ACE_Auto_String_Free::operator= | ( | ACE_Auto_String_Free & | rhs | ) |

ACE_INLINE char ACE_Auto_String_Free::operator[] | ( | int | i | ) | const

ACE_INLINE char * ACE_Auto_String_Free::release | ( | void |  | ) |

ACE_INLINE void ACE_Auto_String_Free::reset | ( | char * | p = 0 | ) |

## Member Data Documentation

char* ACE_Auto_String_Free::p_`[private]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SString.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SString.i